Skip to main content

Refund Payment

POST 

/public/api/v1/transactions/:transactionId/refund

Refund a payment by returning money to the customer after it has already been captured.

You can refund the full amount or only part of it (partial refund), depending on how much you want to return.

The endpoint typically only returns a single refund operation. But if multiple partial captures have been requested, the endpoint might return multiple refund operations as each capture is refunded in isolation. All operations are returned in the same response. If you do not use partial captures, then you will only ever receive a single refund operation.

We recommend a minimum timeout of 60 seconds.

Operations are processed synchronously

All operations such as CAPTURE, VOID and REFUND are processed synchronously and the outcome is returned directly in the response, meaning webhooks are not required.

We strongly recommend using the Idempotency-Key header, to ensure safe retries in case of network failure.

Request​

Responses​

Refund operation response.